port = 2628 # default port
timeout = 60 # timeout for connection


# FileDb has either one, 2, 3 or 4 arguments
# if data is missing, name+".dict" is used
# if inx is missing, name+".pyindex" is used.
# if info is missing, name is used
# data and inx can be either full path, or
# just a filename, in which case /usr/share/dictd/
# is used.

databases = {
    '*'    : StarDb(),
    '!'    : BangDb(),
#    'empty' : EmptyDb(name='empty', info='simple empty database'),
    'web1913' : FileDb(name='web1913'),
    'wn' : FileDb(name='wn'),
    'jargon' : FileDb(name='jargon'),
    'foldoc' : FileDb(name='foldoc'),
    'gazetteer' : FileDb(name='gazetteer'),
    'hitchcock' : FileDb(name='hitchcock'),
    'elements' : FileDb(name='elements'),
    'vera' : FileDb(name='vera'),
    'mueller24' : FileDbDict(name='mueller24'),
    'en-fi' : FileDb(name='en-fi'),
#    'fi-en' : FileDb(name='fi-en'),
#    'ascii-fi-en' : FileDb(name='ascii-fi-en', data='fi-en.dict', inx='ascii-fi-en.pyindex'),
    'en-hu' : FileDb(name='en-hu'),
#    'hu-en' : FileDb(name='hu-en'),
#    'ascii-hu-en' : FileDb(name='ascii-hu-en', data='hu-en.dict', inx='ascii-hu-en.pyindex'),
    'eo-en' : FileDb(name='eo-en'),
    'ascii-eo-en' : FileDb(name='ascii-eo-en', data='eo-en.dict', inx='ascii-eo-en.pyindex'),
    'al-en' : FileDb(name='al-en'),
    'ascii-al-en' : FileDb(name='ascii-al-en', data='al-en.dict', inx='ascii-al-en.pyindex'),
    'en-al' : FileDb(name='en-al'),
    'it-en' : FileDb(name='it-en'),
    'ascii-it-en' : FileDb(name='ascii-it-en', data='it-en.dict', inx='ascii-it-en.pyindex'),
    'en-it' : FileDb(name='en-it'),
    'sp-en' : FileDb(name='sp-en'),
    'ascii-sp-en' : FileDb(name='ascii-sp-en', data='sp-en.dict', inx='ascii-sp-en.pyindex'),
    'en-sp' : FileDb(name='en-sp'),
    'pl-en' : FileDb(name='pl-en'),
    'ascii-pl-en' : FileDb(name='ascii-pl-en', data='pl-en.dict', inx='ascii-pl-en.pyindex'),
    'en-pl' : FileDb(name='en-pl'),
    'ru-en' : FileDb(name='ru-en'),
    'ascii-ru-en' : FileDb(name='ascii-ru-en', data='ru-en.dict', inx='ascii-ru-en.pyindex'),
    'lat-en' : FileDb(name='lat-en'),
    'teos-de-sk' : FileDb(name='teos-de-sk'),
    'teos-sk-de' : FileDb(name='teos-sk-de'),
    'ascii-teos-de-sk' : FileDb(name='ascii-teos-de-sk', data='teos-de-sk.dict', inx='ascii-teos-de-sk.pyindex'),
    'ascii-teos-sk-de' : FileDb(name='ascii-teos-sk-de', data='teos-sk-de.dict', inx='ascii-teos-sk-de.pyindex'),
    'teos-en-sk' : FileDb(name='teos-en-sk'),
    'teos-sk-en' : FileDb(name='teos-sk-en'),
    'ascii-teos-sk-en' : FileDb(name='ascii-teos-sk-en', data='teos-sk-en.dict', inx='ascii-teos-sk-en.pyindex'),
}
